scala.xml.transform
class BasicTransformer

[source: `scala/xml/transform/BasicTransformer.scala`]

`abstract` `class` BasicTransformer
  `extends` (Node) => Node

  A class for XML transformations.

Author
  Burak Emir
Version
  1.0

Direct Known Subclasses:
  RewriteRule, RuleTransformer

Method Summary
`def` | apply (n : Node) : Node
`protected def` | buffer (pos : Int, ns : Seq[Node]) : NodeBuffer Returns a new node buffer with the first `pos` elements from `ns`.
`protected def` | freeze (nb : NodeBuffer) : Seq[Node] Turns a nodebuffer into a sequence, so hashcode works.
`protected def` | single (ns : Seq[Node]) : Boolean
`def` | transform (ns : Seq[Node]) : Seq[Node] Call transform(Node) to each node in ns, yield ns if nothing changes, otherwise a new sequence of concatenated results.
`def` | transform (it : Iterator[Node], nb : NodeBuffer) : Seq[Node] Call transform(Node) for each node in ns, append results to NodeBuffer.
`def` | transform (n : Node) : Seq[Node]
`protected def` | unchanged (n : Node, ns : Seq[Node]) : Boolean

Methods inherited from Function1
toString, compose, andThen

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`protected case class` | NeedsCopy (`val` result : Seq[Node])`extends` Throwable `with` Product

Method Details

`protected` `def` buffer(pos : Int, ns : Seq[Node]) : NodeBuffer

  Returns a new node buffer with the first `pos` elements from `ns`.

Parameters
  `pos -` ..
  `ns -` ..
Returns
  ..

`protected` `def` freeze(nb : NodeBuffer) : Seq[Node]

  Turns a nodebuffer into a sequence, so hashcode works.

Parameters
  `nb -` ..
Returns
  ..

`protected` `def` single(ns : Seq[Node]) : Boolean

`protected` `def` unchanged(n : Node, ns : Seq[Node]) : Boolean

Parameters
  `n -` ...
  `ns -` ...
Returns
  ...

`` `def` transform(it : Iterator[Node], nb : NodeBuffer) : Seq[Node]

  Call transform(Node) for each node in ns, append results to NodeBuffer.

`` `def` transform(ns : Seq[Node]) : Seq[Node]

  Call transform(Node) to each node in ns, yield ns if nothing changes, otherwise a new sequence of concatenated results.

`` `def` transform(n : Node) : Seq[Node]

`` `def` apply(n : Node) : Node

Overrides
  Function1.apply